icu::message2::data_model::Markup Class Reference

The `Markup` class corresponds to the `markup` nonterminal in the MessageFormat 2 grammar and the `markup` interface defined in https://github.com/unicode-org/message-format-wg/blob/main/spec/data-model/message.json. More...

`#include <messageformat2_data_model.h>`

Inheritance diagram for icu::message2::data_model::Markup:

## Data Structures

class | Builder
| The mutable `Markup::Builder` class allows the markup to be constructed incrementally. More...

## Public Member Functions

UBool | isOpen () const
| Checks if this markup is an opening tag. More...
UBool | isClose () const
| Checks if this markup is an closing tag. More...
UBool | isStandalone () const
| Checks if this markup is an standalone tag. More...
const UnicodeString & | getName () const
| Gets the name of this markup. More...
std::vector< Option > | getOptions () const
| Gets the options of this markup. More...
std::vector< Option > | getAttributes () const
| Gets the attributes of this markup. More...
| Markup ()
| Default constructor. More...
virtual | ~Markup ()
| Destructor. More...
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor. More...
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class. More...

## Friends

class | Builder
class | message2::Serializer

## Detailed Description

The `Markup` class corresponds to the `markup` nonterminal in the MessageFormat 2 grammar and the `markup` interface defined in https://github.com/unicode-org/message-format-wg/blob/main/spec/data-model/message.json.

`Markup` is immutable, copyable and movable.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1291 of file messageformat2_data_model.h.

## Constructor & Destructor Documentation

## Markup()

icu::message2::data_model::Markup::Markup | ( |  | ) |

inline

Default constructor.

Puts the Markup into a valid but undefined state.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1354 of file messageformat2_data_model.h.

## ~Markup()

virtual icu::message2::data_model::Markup::~Markup | ( |  | ) |

virtual

Destructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## Member Function Documentation

## getAttributes()

std::vector<Option> icu::message2::data_model::Markup::getAttributes | ( |  | ) | const

inline

Gets the attributes of this markup.

Returns
  A vector of attributes

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1346 of file messageformat2_data_model.h.

## getName()

const UnicodeString& icu::message2::data_model::Markup::getName | ( |  | ) | const

inline

Gets the name of this markup.

Returns
  A reference to the string identifying the markup

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1328 of file messageformat2_data_model.h.

## getOptions()

std::vector<Option> icu::message2::data_model::Markup::getOptions | ( |  | ) | const

inline

Gets the options of this markup.

Returns
  A reference to the string identifying the markup

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1337 of file messageformat2_data_model.h.

## isClose()

UBool icu::message2::data_model::Markup::isClose | ( |  | ) | const

inline

Checks if this markup is an closing tag.

Returns
  True if and only if this represents an closing tag.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1310 of file messageformat2_data_model.h.

## isOpen()

UBool icu::message2::data_model::Markup::isOpen | ( |  | ) | const

inline

Checks if this markup is an opening tag.

Returns
  True if and only if this represents an opening tag.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1301 of file messageformat2_data_model.h.

## isStandalone()

UBool icu::message2::data_model::Markup::isStandalone | ( |  | ) | const

inline

Checks if this markup is an standalone tag.

Returns
  True if and only if this represents a standalone tag.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 1319 of file messageformat2_data_model.h.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_data_model.h